package com.engine.common.util;

/**
 * @Author liang.cheng
 * @Date 2023/11/16 2:37 PM
 * @Description: TODO
 * @Version 1.0
 */
public class ExceptionUtil {
    public static String getRealMessage(Throwable e) {
        while (e != null) {
            Throwable cause = e.getCause();
            if (cause == null) {
                return e.getMessage();
            }
            e = cause;
        }
        return "";
    }
}